<?php
namespace CashBill\Payments\Controller\Checkout;

use Magento\Framework\App\ResponseInterface;
use Magento\Framework\App\Action\Action;
use Magento\Framework\App\Action\Context;
use \CashBill\Payments\Helper\Notify as NotifyHelper;

class Notify extends Action
{
    private $requestParams;
    protected $_notifyHelper;

    public function __construct(Context $context, NotifyHelper $notifyHelper)
    {
        parent::__construct($context);
        $this->_notifyHelper = $notifyHelper;
        $this->requestParams = $this->getRequest()->getParams();
    }

    protected function verifyData(){
        if(!isset($this->requestParams['cmd']) || !isset($this->requestParams['args']) || !isset($this->requestParams['sign'])){
            exit("This is not notification");
        }
    }
    
    public function execute()
    {
        $this->verifyData();
        $this->_notifyHelper->process($this->requestParams);
    }
}
